Subject: Re: MPC8360 : PCI resource allocate error

From: Timur Tabi <[email-masked]>
Date: Mon, 05 Feb 2007 10:16:04 -0600

Russell McGuire wrote:

> Yes, actually of the 6 cards I have, all are seen except the USB card. 
> And the USB card is seen in all other slots. So it appears to be a SLOT
> issue, but not a card issue.  Somehow this card is unique and uncovering an
> error that I don't know about yet. Perhaps I have a single address line
> sizzled or something. This is the same slot that has the IO resource
> allocation problems; I don't think I need to debug that in Linux. 

It could also be a card ordering problem.  In the x86 world, I've seen issues 
where a particular card had to be located at a higher/lower PCI slot than some 
other card.

However, my guess is that the USB card depends on a particular pin that none of 
your cards uses, and that pin is busted in slot 3.

-- 
Timur Tabi
Linux Kernel Developer @ Freescale